INote

data

## Class INote

- java.lang.Object
- - data.INote

- All Implemented Interfaces:
    BasicDataElement

      public class INote
      extends java.lang.Object
      implements BasicDataElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `duration`
    `private int` | `dynamic`
    `private java.lang.String` | `noteValue`
    `private int` | `octave`
    `private IPhrase` | `parent`
    `private int` | `pitch`
    `private int` | `postPitchDiff`
    `private int` | `prePitchDiff`
    `private double` | `realDuration`
    `private double` | `rhythmValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INote(INote iNote)`
    `INote(java.lang.String _noteValue, double _duration, double _realDuration, double _rhythmValue, int _dynamic)`
    `INote(java.lang.String _noteValue, double _duration, double _realDuration, int _pitch, double _rhythmValue, int _dynamic)`
    `INote(java.lang.String _noteValue, int _octave, double _duration, double _realDuration, int _pitch, double _rhythmValue, int _dynamic)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDuration()`
    `int` | `getDynamic()`
    `double` | `getIDuration()`
    `java.lang.String` | `getINote()`
    `int` | `getIOctave()`
    `int` | `getIPitch()`
    `jm.music.data.Score` | `getMusicStructure()`
    `java.lang.String` | `getName()`
    `jm.music.data.Note` | `getNote()`
    `java.lang.String` | `getNoteValue()`
    `int` | `getOctave()`
    `jm.music.data.Note` | `getOriginalNote()`
    `int` | `getPitch()`
    `int` | `getPostPitchDiff()`
    `int` | `getPrePitchDiff()`
    `double` | `getRealDuration()`
    `double` | `getRhythmValue()`
    `void` | `setDuration(double duration)`
    `void` | `setParent(IPhrase iPhrase)`
    `void` | `setPitch(int pitch)`
    `void` | `setPostPitchDiff(int _pitchDiff)`
    `void` | `setPrePitchDiff(int _pitchDiff)`
    `void` | `setRealDuration(int realDuration)`
    `void` | `setRhythmValue(double rhythmValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noteValue

          private java.lang.String noteValue

    - #### octave

          private int octave

    - #### duration

          private double duration

    - #### realDuration

          private double realDuration

    - #### pitch

          private int pitch

    - #### postPitchDiff

          private int postPitchDiff

    - #### prePitchDiff

          private int prePitchDiff

    - #### rhythmValue

          private double rhythmValue

    - #### dynamic

          private int dynamic

    - #### parent

          private IPhrase parent

  - ### Constructor Detail

    - #### INote

          public INote(INote iNote)

    - #### INote

          public INote(java.lang.String _noteValue,
               double _duration,
               double _realDuration,
               double _rhythmValue,
               int _dynamic)

    - #### INote

          public INote(java.lang.String _noteValue,
               double _duration,
               double _realDuration,
               int _pitch,
               double _rhythmValue,
               int _dynamic)

    - #### INote

          public INote(java.lang.String _noteValue,
               int _octave,
               double _duration,
               double _realDuration,
               int _pitch,
               double _rhythmValue,
               int _dynamic)

  - ### Method Detail

    - #### getOctave

          public int getOctave()

    - #### getDynamic

          public int getDynamic()

    - #### getDuration

          public double getDuration()

    - #### setDuration

          public void setDuration(double duration)

    - #### setParent

          public void setParent(IPhrase iPhrase)

    - #### setPostPitchDiff

          public void setPostPitchDiff(int _pitchDiff)

    - #### getPostPitchDiff

          public int getPostPitchDiff()

    - #### setPrePitchDiff

          public void setPrePitchDiff(int _pitchDiff)

    - #### getPrePitchDiff

          public int getPrePitchDiff()

    - #### setPitch

          public void setPitch(int pitch)

    - #### getPitch

          public int getPitch()

    - #### getRhythmValue

          public double getRhythmValue()

    - #### setRhythmValue

          public void setRhythmValue(double rhythmValue)

    - #### getRealDuration

          public double getRealDuration()

    - #### setRealDuration

          public void setRealDuration(int realDuration)

    - #### getNoteValue

          public java.lang.String getNoteValue()

    - #### getName

          public java.lang.String getName()

    - #### getINote

          public java.lang.String getINote()

    - #### getIOctave

          public int getIOctave()

    - #### getIDuration

          public double getIDuration()

    - #### getIPitch

          public int getIPitch()

    - #### getOriginalNote

          public jm.music.data.Note getOriginalNote()

    - #### getNote

          public jm.music.data.Note getNote()

    - #### getMusicStructure

          public jm.music.data.Score getMusicStructure()

      Specified by:
        `getMusicStructure` in interface `BasicDataElement`